server.port=8322
spring.application.name=user-center
logging.level.root=info
logging.path=./logs/user-center
#\u6570\u636E\u5E93\u914D\u7F6E
spring.datasource.url=jdbc:mysql://10.0.0.63:3306/uims?characterEncoding=utf8&useSSL=false&serverTimezone=Asia/Shanghai&zeroDateTimeBehavior=convertToNull
spring.datasource.username=root
spring.datasource.password=100zone
spring.datasource.driver-class-name=com.mysql.jdbc.Driver
spring.datasource.hikari.max-lifetime=30000
mybatis-plus.mapper-locations=classpath:mapper/*.xml
mybatis-plus.type-aliases-package=com.zcxk.entity
mybatis-plus.configuration.log-impl=org.apache.ibatis.logging.stdout.StdOutImpl
mybatis-plus.global-config.db-config.logic-delete-value=0 
mybatis-plus.global-config.db-config.logic-not-delete-value=1
spring.jackson.time-zone=GMT+8
#spring.jackson.date-format=yyyy-MM-dd HH:mm:ss
#spring.jackson.joda-date-time-format: yyyy-MM-dd HH:mm:ss

# redis
spring.redis.host=10.0.0.63
spring.redis.port=6379
spring.redis.database=2
spring.redis.timeout=36000

# Lettuce
# \u8FDE\u63A5\u6C60\u6700\u5927\u8FDE\u63A5\u6570\uFF08\u4F7F\u7528\u8D1F\u503C\u8868\u793A\u6CA1\u6709\u9650\u5236\uFF09
spring.redis.lettuce.pool.max-active=8
# \u8FDE\u63A5\u6C60\u6700\u5927\u963B\u585E\u7B49\u5F85\u65F6\u95F4\uFF08\u4F7F\u7528\u8D1F\u503C\u8868\u793A\u6CA1\u6709\u9650\u5236\uFF09
spring.redis.lettuce.pool.max-wait=100
# \u8FDE\u63A5\u6C60\u4E2D\u7684\u6700\u5927\u7A7A\u95F2\u8FDE\u63A5
spring.redis.lettuce.pool.max-idle=8
# \u8FDE\u63A5\u6C60\u4E2D\u7684\u6700\u5C0F\u7A7A\u95F2\u8FDE\u63A5
spring.redis.lettuce.pool.min-idle=0
# \u5173\u95ED\u8D85\u65F6\u65F6\u95F4
spring.redis.lettuce.shutdown-timeout=100


security.oauth2.client.client-id=smart-city-v2
security.oauth2.client.client-secret=smart-city-v2-123
security.oauth2.resource.id=smartcity-deivice-service
security.oauth2.resource.user-info-uri=http://localhost:8321/user/principal
security.oauth2.resource.prefer-token-info=false


spring.servlet.multipart.max-file-size=100MB
spring.servlet.multipart.max-request-size=100MB
spring.servlet.multipart.location=${logging.path}/data

#kafka server
spring.kafka.bootstrap-servers=114.135.61.188:36377
#kafka consumer config
spring.kafka.consumer.group-id=user-group-dev
spring.kafka.consumer.auto-offset-reset=latest
spring.kafka.consumer.enable-auto-commit=true
#kafka producer config
spring.kafka.producer.retries=0
spring.kafka.producer.batch-size=4096
spring.kafka.producer.buffer-memory=40960

spring.kafka.producer.value-serializer=org.springframework.kafka.support.serializer.JsonSerializer
spring.kafka.consumer.value-deserializer=org.springframework.kafka.support.serializer.JsonDeserializer
spring.kafka.consumer.properties.spring.json.trusted.packages=*

#nacos
spring.cloud.nacos.discovery.server-addr=127.0.0.1:8848
UMIS.sys_config_path=/UMIS_USER_IMAGES/
UMIS.sys_excel_path=/UMIS_USER_EXCEL/

#rabbit
spring.rabbitmq.addresses=10.0.0.63:5672
spring.rabbitmq.username=admin
spring.rabbitmq.password=100zone
spring.rabbitmq.virtual-host=/
spring.rabbitmq.connection-timeout=15000
spring.rabbitmq.publisher-confirm-type=correlated
spring.rabbitmq.publisher-returns=true
spring.rabbitmq.template.mandatory=true
dispath.queue=dispath
receive.exchange.name=messageExchange
dispath.routing.key=dipathKey

ribbon.OkToRetryOnAllOperations=false
ribbon.ReadTimeout=5000:
ribbon.ConnectTimeout=3000
# 设置 feign 客户端超时时间（OpenFeign 默认支持 ribbon）
# 值的是建立连接所用的时间，使用与网络状态正常的情况，两端连接所用的时间

# 指的是建立连接后从服务器读取到可用资源所用的时间
ribbon.ConnectionTimeout=5000
add_iot_user_url=http://localhost:8090/api/integration/user/savePlatformUser



